Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4968 - Buildroot doesn't work
Summary: Buildroot doesn't work
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm
Version: 6.0
Hardware: i386
OS: Linux
high
high
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-09-08 01:36 UTC by osman
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-09-10 14:26:32 UTC


Attachments (Terms of Use)

Description osman 1999-09-08 01:36:57 UTC
In rpm-3.0.2-6.0.i386.rpm
The buildroot doesn't work.
If you specify a "BuildRoot: dir" in the specs file the
package is unable to be build because the files are not
found. This is verry strange because the files ARE there.
I currently am building a package for firewall setup and it
seems like it is using the REAL files on my system and not
the ones I want to distribute.
So it seems to me that it is incorrectly or even NOT parsing
the buildroot.
I use the following:
BuildRoot: %{builddir}/%{name}-%{version}
Wich was a legitimate use till now.
If I output the env.variables while building it shows that
it hasn't parsed the %{builddir}, if I use an absolute path
it gives an error while checking for the entries in %files
and says that the files are not found. But they are there!

Comment 1 Jeff Johnson 1999-09-10 14:26:59 UTC
Dunno where you defined builddir, rpm doesn't. Macro expansion
passes undefined %{foo} constructs exactly as is. I suspect you
want %{_builddir} but you should use something like
	BuildDir: /var/tmp/%{name}-%{version}
so that %{_builddir} will be defined correctly.

FWIW, almost every package in the RH distribution uses BuildRoot:
successfully.


Note You need to log in before you can comment on or make changes to this bug.